> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Store organisation logo



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /org/organisation/{organisation_id}/logo
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/organisation/{organisation_id}/logo:
    put:
      tags:
        - Organisation
      summary: Store organisation logo
      operationId: put_organisation_logo
      parameters:
        - in: path
          name: organisation_id
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OrganisationLogoUploadRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationLogoMutationResponse'
          description: Organisation logo stored
        '400':
          description: Invalid logo
        '401':
          description: Unauthorized
        '403':
          description: Not permitted
        '404':
          description: Organisation not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Internal server error
      security:
        - SessionCookie: []
components:
  schemas:
    OrganisationLogoUploadRequest:
      properties:
        file:
          format: binary
          type: string
      required:
        - file
      title: OrganisationLogoUploadRequest
      type: object
    OrganisationLogoMutationResponse:
      properties:
        success:
          type: boolean
      required:
        - success
      title: OrganisationLogoMutationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    SessionCookie:
      description: Browser session. Mutations also require X-Ankra-CSRF.
      in: cookie
      name: ankra_session
      type: apiKey

````